Skip to main content

Update Group Permissions

PUT 

/v2/group/:group_id/permissions

Update group permissions.Requires accountOrg:config:edit or account:config:edit permissions and for user to be in the same org as the group

Request

Path Parameters

    group_id uuidrequired

    Group ID

Body

array

required

  • Array [

  • org_id uuid
    product_id uuid
    sandbox_id uuid
    environment_id uuid
    permission_id Permission Id (string)required
  • ]

Responses

Successful Response

Schema

  • Array [

  • org_id uuid

    Org ID to which the permission applies

    product_id uuid

    Product ID to which the permission applies

    environment_id uuid

    Environment ID to which the permission applies

    sandbox_id uuid

    Sandbox ID to which the permission applies

    org_name Org Name (string)

    Name of the org to which the permission applies

    product_name Product Name (string)

    Name of the product to which the permission applies

    environment_name Environment Name (string)

    Name of the environment to which the permission applies

    sandbox_name Sandbox Name (string)

    Name of the sandbox to which the permission applies

    permission_id Permission Id (string)required

    Permission to be applied to the entity

    account_permission_id uuid

    ID of the account permission

  • ]

Loading...